Package org.eclipse.m2m.atl.engine.emfvm

# Class ASM

java.lang.Object
org.eclipse.m2m.atl.engine.emfvm.ASM

public class ASM extends Object
The ASM Class, which manages an ASM program.

## Constructor Summary

Constructors
Constructor
Description
`ASM()`
ASM Constructor.

## Method Summary

Modifier and Type
Method
Description
`void`
`addField(String fieldName, String type)`
Adds a field.
`void`
`addOperation(ASMOperation operation)`
Adds an operation.
`ASMOperation`
`getMainOperation()`
Returns "main" operation, if any.
`String`
`getName()`
`Iterator<ASMOperation>`
`getOperations()`
Returns All registered operations.
`String`
`getVersion()`
`static void`
`registerOperations(ExecEnv execEnv, Iterator<ASMOperation> operationsToRegister)`
Registers all ATL operations.
`Object`
`run(ITool[] tools, Map<String,IModel> models, Map<String,ASM> libraries, List<ASM> superimpose, Map<String,Object> options, org.eclipse.core.runtime.IProgressMonitor monitor, IModelAdapter modelAdapter)`
Launches the ASM.
`void`
`setName(String name)`
`void`
`setVersion(String version)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### ASM

public ASM()
ASM Constructor.

## Method Details

### setName

public void setName(String name)

### addField

public void addField(String fieldName, String type)
Adds a field.

Parameters:
  `fieldName` - the field name
  `type` - the field type

### addOperation

public void addOperation(ASMOperation operation)
Adds an operation.

Parameters:
  `operation` - the operation to add

### getOperations

public Iterator<ASMOperation> getOperations()
Returns All registered operations.

Returns:
  All registered operations
See Also:
  - `addOperation(ASMOperation)`

### getMainOperation

public ASMOperation getMainOperation()
Returns "main" operation, if any.

Returns:
  "main" operation, if any

### run

public Object run(ITool[] tools, Map<String,IModel> models, Map<String,ASM> libraries, List<ASM> superimpose, Map<String,Object> options, org.eclipse.core.runtime.IProgressMonitor monitor, IModelAdapter modelAdapter)
Launches the ASM.

Parameters:
  `tools` - the execution tools
  `models` - the model map
  `libraries` - the library map
  `superimpose` - the superimpose list
  `options` - the option map
  `monitor` - the progress monitor
  `modelAdapter` - the `IModelAdapter` to use
Returns:
  the execution result

### registerOperations

public static void registerOperations(ExecEnv execEnv, Iterator<ASMOperation> operationsToRegister)
Registers all ATL operations.

Parameters:
  `execEnv` - the execution environment where to register operations
  `operationsToRegister` - the list of operations to register

### getName

public String getName()

### setVersion

public void setVersion(String version)

### getVersion

public String getVersion()